Skip to main content
GET
List Tasks

Authorizations

X-API-Key
string
header
required

Query Parameters

queue
string | null

mine, review, unowned, or all

owner
string | null

me, none, or a user id (comma-separate several)

status
string | null

Status keys, comma-separated

category
string | null

todo, in_progress, done, canceled (comma-separated)

label_id
string | null

Label ids or none, comma-separated

priority
string | null
source
string | null
due_before
string<date> | null
due_after
string<date> | null
overdue
boolean | null
q
string | null

Case-insensitive match on the title, or a task identifier such as TASK-12

include_archived
boolean
default:false
archived_only
boolean
default:false
show_all
boolean
default:false
conversation_id
string<uuid> | null
ticket_id
string<uuid> | null
feedback_id
string<uuid> | null
message_id
string<uuid> | null
knowledge_update_request_id
string<uuid> | null
sort
string
default:updated
cursor
string | null
limit
integer
default:50

Response

200 - application/json

OK

data
TaskOut · object[]
required
has_more
boolean
required
object
string
default:list
next_cursor
string | null

Pass as cursor to fetch the next page.

total
integer | null

Matching tasks; only on the first page.